"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.composeActionType = composeActionType;
exports.createActionCreator = createActionCreator;

function composeActionType(baseName, actionType) {
  return "".concat(baseName.toUpperCase(), "/").concat(actionType.toUpperCase());
}

function createActionCreator(actionName) {
  return function actionCreator(payload, meta) {
    return {
      type: actionName,
      meta: meta,
      payload: payload
    };
  };
}