"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _decorators = require("./decorators");

Object.keys(_decorators).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _decorators[key];
    }
  });
});

var _entityReducer = require("./entityReducer");

Object.keys(_entityReducer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _entityReducer[key];
    }
  });
});

var _operationReducer = require("./operationReducer");

Object.keys(_operationReducer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _operationReducer[key];
    }
  });
});

var _identifiers = require("./identifiers");

Object.keys(_identifiers).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _identifiers[key];
    }
  });
});

var _modify = require("./modify");

Object.keys(_modify).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _modify[key];
    }
  });
});

var _remove = require("./remove");

Object.keys(_remove).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _remove[key];
    }
  });
});

var _upsert = require("./upsert");

Object.keys(_upsert).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _upsert[key];
    }
  });
});