"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.remove = void 0;

var _decorators = require("./decorators");

var _identifiers = require("./identifiers");

var remove = (0, _decorators.reduceArray)((0, _decorators.requireIdent)(function (state, action, config, ident) {
  var itemIndex = (0, _identifiers.getItemIndex)(state, config, ident);

  if (itemIndex === -1) {
    return state;
  }

  var nextState = state.slice();
  nextState.splice(itemIndex, 1);
  return nextState;
}));
exports.remove = remove;